org.h2.table

## Interface ColumnTemplate

All Known Implementing Classes:
  Column, Domain

    public interface ColumnTemplate

Column or domain.

### Method Summary

All Methods Instance Methods Abstract Methods
`Expression` `getDefaultExpression()`
`java.lang.String` `getDefaultSQL()`
`Domain` `getDomain()`
`Expression` `getEffectiveDefaultExpression()`
`Expression` `getEffectiveOnUpdateExpression()`
`Expression` `getOnUpdateExpression()`
`java.lang.String` `getOnUpdateSQL()`
`void` `prepareExpressions(SessionLocal session)` Prepare all expressions of this column or domain.
`void` `setDefaultExpression(SessionLocal session, Expression defaultExpression)` Set the default expression.
`void` `setDomain(Domain domain)`
`void` `setOnUpdateExpression(SessionLocal session, Expression onUpdateExpression)` Set the on update expression.

### Method Detail

#### getDomain

    Domain getDomain()

#### setDomain

    void setDomain(Domain domain)

#### setDefaultExpression

    void setDefaultExpression(SessionLocal session,
                              Expression defaultExpression)

Set the default expression.

Parameters:
  `session` - the session
  `defaultExpression` - the default expression

#### getDefaultExpression

    Expression getDefaultExpression()

#### getEffectiveDefaultExpression

    Expression getEffectiveDefaultExpression()

#### getDefaultSQL

    java.lang.String getDefaultSQL()

#### setOnUpdateExpression

    void setOnUpdateExpression(SessionLocal session,
                               Expression onUpdateExpression)

Set the on update expression.

Parameters:
  `session` - the session
  `onUpdateExpression` - the on update expression

#### getOnUpdateExpression

    Expression getOnUpdateExpression()

#### getEffectiveOnUpdateExpression

    Expression getEffectiveOnUpdateExpression()

#### getOnUpdateSQL

    java.lang.String getOnUpdateSQL()

#### prepareExpressions

    void prepareExpressions(SessionLocal session)

Prepare all expressions of this column or domain.

Parameters:
  `session` - the session